| Version: 3.2.5

Public Member Functions | List of all members
wxWebViewHistoryItem Class Reference
Class List by Category » WebView

`#include <wx/webview.h>`

## Detailed Description

A simple class that contains the URL and title of an element of the history of a wxWebView.

Since
  2.9.3

  ##

Library: wxWebView
Category: WebView

See also
  wxWebView

## Public Member Functions

| wxWebViewHistoryItem (const wxString &url, const wxString &title)
| Constructor. More...
wxString | GetUrl ()
wxString | GetTitle ()

## Constructor & Destructor Documentation

## ◆ wxWebViewHistoryItem()

wxWebViewHistoryItem::wxWebViewHistoryItem | ( | const wxString & | url,
|  | const wxString & | title
| ) |  |

Constructor.

## Member Function Documentation

## ◆ GetTitle()

wxString wxWebViewHistoryItem::GetTitle | ( |  | ) |

Returns
  The title of the page.

## ◆ GetUrl()

wxString wxWebViewHistoryItem::GetUrl | ( |  | ) |

Returns
  The url of the page.